<template>
    <section class="full-width flex flex-center q-pb-xl relative-position">
      <div
        @mousemove="imgToCursor($event)"
        @mouseleave="onMouseOut"
        class="row relative-position border-white"
        style="border: 10px solid rgb(61, 61, 61);"
      >
        <q-icon color="white" size="xl" name="touch_app" class="absolute-center z-max border-thick" style="border-radius: 50%" />
        <q-img
          alt="Quasar logo"
          src="~assets/img/can-buch-before1.jpg"
          class="relative-position self-center"
          width="900px"
          height="428px"
        />
        <q-img
          ref="imgAfter"
          alt="Quasar logo"
          src="~assets/img/can-buch ara.jpg"
          class="masia-after absolute-left q-linear-progress__stripe"
          :width="imgAfterWidth"
          height="428px"
          position="0%, 50%"
        />
      </div>
    </section>
</template>

<script>
export default {
  name: 'MasiaImgs',
  data () {
    return {
      imgAfterWidth: this.$q.platform.is.desktop ? '0px' : '100%'
    }
  },
  methods: {
    onMouseOut () {
      this.imgAfterWidth = '100%'
    },
    imgToCursor (e) {
      this.imgAfterWidth = (e.clientX > 10 && e.layerX <= 0 ? 0 : e.layerX) + 'px'
    }
  }
}
</script>

<style scoped lang="sass">
section
.masia-after
  max-width: 900px
</style>
